# Class XPathConstants

java.lang.Object
javax.xml.xpath.XPathConstants

public class XPathConstants extends Object

XPath constants.

Since:
  1.5
See Also:
  - XML Path Language (XPath) Version 1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`BOOLEAN`
The XPath 1.0 boolean data type.
`static final String`
`DOM_OBJECT_MODEL`
The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".
`static final QName`
`NODE`
The XPath 1.0 NodeSet data type.
`static final QName`
`NODESET`
The XPath 1.0 NodeSet data type.
`static final QName`
`NUMBER`
The XPath 1.0 number data type.
`static final QName`
`STRING`
The XPath 1.0 string data type.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### NUMBER

public static final QName NUMBER

The XPath 1.0 number data type.

Maps to Java `Double`.

### STRING

public static final QName STRING

The XPath 1.0 string data type.

Maps to Java `String`.

### BOOLEAN

public static final QName BOOLEAN

The XPath 1.0 boolean data type.

Maps to Java `Boolean`.

### NODESET

public static final QName NODESET

The XPath 1.0 NodeSet data type.

Maps to Java `NodeList`.

### NODE

public static final QName NODE

The XPath 1.0 NodeSet data type.

Maps to Java `Node`.

### DOM_OBJECT_MODEL

public static final String DOM_OBJECT_MODEL

The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".

See Also:
  - Constant Field Values